Package org.eclipse.net4j.util.factory

# Class SingletonFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.factory.SingletonFactory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

public class SingletonFactory extends Factory

Since:
  3.23
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`SingletonFactory(Object product)`
`SingletonFactory(String productGroup, Object product)`
`SingletonFactory(String productGroup, String type, Object product)`
`SingletonFactory(FactoryKey key, Object product)`
`SingletonFactory(IFactoryKey key, Object product)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SingletonFactory

public SingletonFactory(Object product)

### SingletonFactory

public SingletonFactory(IFactoryKey key, Object product)

### SingletonFactory

public SingletonFactory(FactoryKey key, Object product)

### SingletonFactory

public SingletonFactory(String productGroup, String type, Object product)

### SingletonFactory

public SingletonFactory(String productGroup, Object product)

## Method Details

### create

public Object create(String description) throws ProductCreationException

Throws:
  `ProductCreationException`